Bug 1112669 - commands from dnf-plugins-core not mentioned in man page
Summary: commands from dnf-plugins-core not mentioned in man page
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-24 12:50 UTC by Honza Horak
Modified: 2014-07-09 02:29 UTC (History)
6 users (show)

Fixed In Version: dnf-plugins-core-0.1.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 02:29:59 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Honza Horak 2014-06-24 12:50:36 UTC
Description of problem:
If I install dnf-plugins-core, some new commands are added into `dnf --help`, which is great, but when I look into `man dnf` there are not. It is probably not possible to alter man page after installing another package, but I guess it would make sense to have some notes about additional commands in `man dnf` even if dnf-plugins-core is not installed (and information that one needs to install that package to have those commands working).

Comment 1 Tim Lauridsen 2014-06-24 13:15:06 UTC
dnf-plugins-core is a collection of tools with a man page for each tool

you have to use man dnf.plugin.<command> to see the man page for a given command

there is also online docs here:
http://dnf-plugins-core.readthedocs.org/en/latest/index.html

Comment 2 Honza Horak 2014-06-24 16:23:22 UTC
(In reply to Tim Lauridsen from comment #1)
> dnf-plugins-core is a collection of tools with a man page for each tool
> 
> you have to use man dnf.plugin.<command> to see the man page for a given
> command

I know but with the current approach I was not able to find the particular commands I looked for. At least brief notice about where to find man pages for other commands (or that there actually are other man pages) would help imho.

Comment 3 Tim Lauridsen 2014-06-24 17:36:44 UTC
In the future there will proberly by all kind of plugins adding extra commands to dnf in different packages beside dnf-plugins-core, the dnf man page can not point to all of them.

dnf help command will give a summery of the command, but the user need to now, how the show the man pages for a given command.

Comment 4 Jan Zeleny 2014-06-25 06:00:43 UTC
Perhaps just a note that there might be a set of other man pages dnf.plugin.* would be sufficient. Maybe in the "see also" section? No need to extend it with each plugin we add.

Comment 5 Ales Kozumplik 2014-06-26 06:36:09 UTC
Fixed upstream by 705c005.

Comment 6 Fedora Update System 2014-07-07 09:11:46 UTC
dnf-plugins-core-0.1.1-2.fc20, dnf-0.5.3-1.fc20, hawkey-0.4.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.5.3-1.fc20,hawkey-0.4.17-1.fc20,dnf-plugins-core-0.1.1-2.fc20

Comment 7 Fedora Update System 2014-07-08 01:04:06 UTC
Package dnf-plugins-core-0.1.1-2.fc20, dnf-0.5.3-1.fc20, hawkey-0.4.17-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.1-2.fc20 dnf-0.5.3-1.fc20 hawkey-0.4.17-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8167/dnf-0.5.3-1.fc20,hawkey-0.4.17-1.fc20,dnf-plugins-core-0.1.1-2.fc20
then log in and leave karma (feedback).

Comment 8 lnie 2014-07-08 08:17:37 UTC
 dnf-plugins-core-0.1.1-2.fc20, dnf-0.5.3-1.fc20 and hawkey-0.4.17-1.fc20 works

Comment 9 Fedora Update System 2014-07-09 02:29:59 UTC
dnf-plugins-core-0.1.1-2.fc20, dnf-0.5.3-1.fc20, hawkey-0.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.